kndbgstream class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# kndbgstream Class Reference

kndbgstream is a dummy variant of kdbgstream. More...

`#include <kdebug.h>`

List of all members.

## Public Member Functions
| kndbgstream ()
| EMpty constructor.
kndbgstream & | operator<< (short int)
| Does nothing.
kndbgstream & | operator<< (unsigned short int)
| Does nothing.
kndbgstream & | operator<< (char)
| Does nothing.
kndbgstream & | operator<< (unsigned char)
| Does nothing.
kndbgstream & | operator<< (int)
| Does nothing.
kndbgstream & | operator<< (unsigned int)
| Does nothing.
void | flush ()
| Does nothing.
kndbgstream & | operator<< (const QString &)
| Does nothing.
kndbgstream & | operator<< (const QCString &)
| Does nothing.
kndbgstream & | operator<< (const char *)
| Does nothing.
kndbgstream & | operator<< (const void *)
| Does nothing.
kndbgstream & | operator<< (void *)
| Does nothing.
kndbgstream & | operator<< (double)
| Does nothing.
kndbgstream & | operator<< (long)
| Does nothing.
kndbgstream & | operator<< (unsigned long)
| Does nothing.
kndbgstream & | operator<< (KNDBGFUNC)
| Does nothing.
kndbgstream & | operator<< (QWidget *)
| Does nothing.
kndbgstream & | form (const char *,...)
| Does nothing.

## Detailed Description

kndbgstream is a dummy variant of kdbgstream.

All functions do nothing.

See also:
  kndDebug()

Definition at line 256 of file kdebug.h.

## Constructor & Destructor Documentation

kndbgstream::kndbgstream | ( |  | ) | `[inline]`

| EMpty constructor. Definition at line 259 of file kdebug.h.

## Member Function Documentation

kndbgstream& kndbgstream::operator<< | ( | short | int | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 265 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned short | int | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 270 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | char |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 275 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | char | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 280 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | int |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 285 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | int | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 290 of file kdebug.h.

void kndbgstream::flush | ( |  | ) | `[inline]`

| Does nothing. Definition at line 294 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const QString & |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 299 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const QCString & |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 304 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const char * |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 309 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | const void * |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 314 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | void * |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 319 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | double |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 324 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | long |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 329 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | unsigned | long | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 334 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | KNDBGFUNC |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 339 of file kdebug.h.

kndbgstream& kndbgstream::operator<< | ( | QWidget * |  | ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 344 of file kdebug.h.

kndbgstream& kndbgstream::form | ( | const char * | ,
|  | ... |
| ) | `[inline]`

| Does nothing. Returns: this stream Definition at line 349 of file kdebug.h.

The documentation for this class was generated from the following file:

- kdebug.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001